diff --git a/configure.ac b/configure.ac
index 41d9d87dde..8e43cc3a3f 100644
--- a/configure.ac
+++ b/configure.ac
@@ -29,8 +29,8 @@ fi
 # AIXPORT END
 
 # change to the one below if Travis has a timeout
-#AM_INIT_AUTOMAKE([subdir-objects serial-tests])
-AM_INIT_AUTOMAKE([subdir-objects])
+AM_INIT_AUTOMAKE([subdir-objects serial-tests])
+#AM_INIT_AUTOMAKE([subdir-objects])
 
 m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])
 
diff --git a/plugins/impstats/impstats.c b/plugins/impstats/impstats.c
index d5f937558e..0a17183fcf 100644
--- a/plugins/impstats/impstats.c
+++ b/plugins/impstats/impstats.c
@@ -1,7 +1,7 @@
 /* impstats.c
  * A module to periodically output statistics gathered by rsyslog.
  *
- * Copyright 2010-2017 Adiscon GmbH.
+ * Copyright 2010-2018 Adiscon GmbH.
  *
  * This file is part of rsyslog.
  *
@@ -50,6 +50,7 @@
 #include "statsobj.h"
 #include "prop.h"
 #include "ruleset.h"
+#include "parserif.h"
 
 
 MODULE_TYPE_INPUT
@@ -409,6 +410,14 @@ CODESTARTsetModCnf
 		}
 	}
 
+	if(loadModConf->pszBindRuleset != NULL && loadModConf->bLogToSyslog) {
+		parser_warnmsg("impstats: log.syslog set to \"off\" but ruleset specified - with "
+			"these settings, the ruleset will never be used, because regular syslog "
+			"processing is turned off - ruleset parameter is ignored");
+		free(loadModConf->pszBindRuleset);
+		loadModConf->pszBindRuleset = NULL;
+	}
+
 	loadModConf->configSetViaV2Method = 1;
 	bLegacyCnfModGlobalsPermitted = 0;
 
